--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Default types for all data object based adapters.
- !ruby/struct:SM::Flow::P 
  body: "@return [Hash] default types for data objects adapters."
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Migrations::DataObjectsAdapter::ClassMethods#type_map
is_singleton: false
name: type_map
params: ()
visibility: public
